package chcdev.chcbuilderhelp;

import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.scheduler.BukkitRunnable;

public class BuilderCompass implements CommandExecutor {

    private final CHCBuilderHelp plugin;

    public BuilderCompass(CHCBuilderHelp plugin) {
        this.plugin = plugin;

        new BukkitRunnable() {
            @Override
            public void run() {
                plugin.getLogger().info("§aСкачано с chcdev.ru / группа в VK - vk.com/chcdev");
                plugin.getLogger().info("§aПожалуйста используйте наши работы на ваших серверах!");
                plugin.getLogger().info("§aЧтобы вырезать это сообщение обратитесь к нам!");
            }
        }.runTaskTimer(plugin, 0L, 20 * 60 * 10); // 20 тиков/сек * 60 сек * 10 минут = 12000 тиков
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if (!(sender instanceof Player)) {
            sender.sendMessage(ChatColor.RED + "Эта команда только для игроков!");
            return true;
        }

        Player player = (Player) sender;

        ItemStack builderItem = new ItemStack(Material.BOOK);
        ItemMeta meta = builderItem.getItemMeta();
        meta.setDisplayName(ChatColor.GOLD + "Меню строителя");
        builderItem.setItemMeta(meta);

        player.getInventory().addItem(builderItem);
        player.sendMessage(ChatColor.GREEN + "Вы получили предмет строителя!");

        return true;
    }
}